Devices
Endpointsβ
List all devicesβ
GET
/public/v2/devices
Responsesβ
- 200: OK
Create deviceβ
POST
/public/v2/devices
Request Body (application/json)β
{
"device": {
"id": 0,
"name": "string",
"serial_number": "string",
"status": "string",
"mode_type": "string"
}
}
Fields:
- device (object)
Responsesβ
- 201: Created
Show deviceβ
GET
/public/v2/devices/{id}
Parametersβ
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | string | Yes |
Responsesβ
- 200: OK
Update deviceβ
PUT
/public/v2/devices/{id}
Parametersβ
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | string | Yes |
Request Body (application/json)β
{
"device": {
"id": 0,
"name": "string",
"serial_number": "string",
"status": "string",
"mode_type": "string"
}
}
Fields:
- device (object)
Responsesβ
- 200: OK